Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class PacketTransactionTask

    java.lang.Object
      org.codehaus.activemq.service.impl.PacketTransactionTask

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, TransactionTask

Direct Known Subclasses:
  MessageAckTransactionTask, RedeliverMessageTransactionTask, SendMessageTransactionTask

public abstract class PacketTransactionTask
extends java.lang.Object
implements TransactionTask, java.io.Externalizable

Version:
  $Revision: 1.1 $
See Also:
  Serialized Form

Constructor Summary
`protected` | `PacketTransactionTask(BrokerClient brokerClient, Packet packet)`

Method Summary
`protected BrokerClient` | `createBrokerClient(java.lang.String consumerId)`
`static TransactionTask` | `createTask(Packet packet)`
`static TransactionTask` | `fromBytes(byte[] data)`
`protected BrokerClient` | `getBrokerClient(java.lang.String consumerId)`
`Packet` | `getPacket()`
`void` | `readExternal(java.io.ObjectInput in)`
`protected static Packet` | `readPacket(java.io.ObjectInput in)`
`static TransactionTask` | `readTask(java.io.ObjectInput in)`
`byte[]` | `toBytes()`
`void` | `writeExternal(java.io.ObjectOutput out)`
`protected static void` | `writePacket(Packet packet, java.io.ObjectOutput out)`
`static void` | `writeTask(TransactionTask task, java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.activemq.service.TransactionTask
`execute`

Constructor Detail

### PacketTransactionTask

    protected PacketTransactionTask(BrokerClient brokerClient,
                                    Packet packet)

Method Detail

### fromBytes

    public static TransactionTask fromBytes(byte[] data)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### toBytes

    public byte[] toBytes()
                   throws JMSException,
                          java.io.IOException

  Throws:
    `JMSException`
    `java.io.IOException`

### readTask

    public static TransactionTask readTask(java.io.ObjectInput in)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### createTask

    public static TransactionTask createTask(Packet packet)
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTask

    public static void writeTask(TransactionTask task,
                                 java.io.ObjectOutput out)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPacket

    public Packet getPacket()

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### createBrokerClient

    protected BrokerClient createBrokerClient(java.lang.String consumerId)
                                       throws JMSException

  Throws:
    `JMSException`

### getBrokerClient

    protected BrokerClient getBrokerClient(java.lang.String consumerId)
                                    throws JMSException

  Throws:
    `JMSException`

### writePacket

    protected static void writePacket(Packet packet,
                                      java.io.ObjectOutput out)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### readPacket

    protected static Packet readPacket(java.io.ObjectInput in)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.